Logo
Adyen APIs API Documentation

Upload a document

POST {{baseUrl}}/documents

Uploads a document for verification checks. Adyen uses the information from the legal entity to run automated verification checks. If these checks fail, you will be notified to provide additional documents. You should only upload documents when Adyen requests additional information for the legal entity. >You can upload a maximum of 15 pages for photo IDs.

 

Body PARAM

Key Datatype Required Description 



HEADERS

Key Datatype Required Description 
Content-Type
string
Accept
string
x-requested-verification-code
null Use a suberror code as your requested verification code. You can include one code at a time in your request header. Requested verification codes can only be used in your test environment.




RESPONSES

status OK

{ "type": "registrationDocument", "attachments": [{ "content": "JVBERi0xLjQKJcOkw7zDtsOfCjIgMCBv+f/ub0j6JPRX+E3EmC==" }], "description": "Registration doc for Example Company", "fileName": "Registration doc for Example Company", "owner": { "id": "LE00000000000000000000001", "type": "legalEntity" }, "id": "SE322JV223222F5GV2N9L8GDK" }



Curl
curl -X POST 'https://kyc-test.adyen.com/lem/v3/documents' -H 'Content-Type: application/json' -H 'Accept: application/json' -H 'x-requested-verification-code: ' -d '{"type":"registrationDocument","attachments":[{"content":"JVBERi0xLjQKJcOkw7zDtsOfCjIgMCBv+f/ub0j6JPRX+E3EmC=="}],"description":"Registration doc for Example Company","owner":{"id":"LE00000000000000000000001","type":"legalEntity"}}'

ENDPOINTS